Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0
Class JndiRefConnectionPoolDataSource

    java.lang.Object
      com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
          com.mchange.v2.c3p0.impl.IdentityTokenResolvable
              com.mchange.v2.c3p0.JndiRefConnectionPoolDataSource

All Implemented Interfaces:
  IdentityTokenized, java.io.Serializable, javax.naming.Referenceable, javax.sql.ConnectionPoolDataSource

    public final class JndiRefConnectionPoolDataSource

extends IdentityTokenResolvable
implements javax.sql.ConnectionPoolDataSource, java.io.Serializable, javax.naming.Referenceable

See Also:
  Serialized Form

Constructor Summary
`JndiRefConnectionPoolDataSource()`
`JndiRefConnectionPoolDataSource(boolean autoregister)`

Method Summary
`int` | `getAcquireIncrement()`
`int` | `getAcquireRetryAttempts()`
`int` | `getAcquireRetryDelay()`
`java.lang.String` | `getAutomaticTestTable()`
`int` | `getCheckoutTimeout()`
`java.lang.String` | `getConnectionTesterClassName()`
`java.lang.String` | `getFactoryClassLocation()`
`java.lang.String` | `getIdentityToken()`
`int` | `getIdleConnectionTestPeriod()`
`int` | `getInitialPoolSize()`
`java.util.Hashtable` | `getJndiEnv()`
`java.lang.Object` | `getJndiName()`
`int` | `getLoginTimeout()`
`java.io.PrintWriter` | `getLogWriter()`
`int` | `getMaxIdleTime()`
`int` | `getMaxPoolSize()`
`int` | `getMaxStatements()`
`int` | `getMaxStatementsPerConnection()`
`int` | `getMinPoolSize()`
`javax.sql.PooledConnection` | `getPooledConnection()`
`javax.sql.PooledConnection` | `getPooledConnection(java.lang.String user, java.lang.String password)`
`java.lang.String` | `getPreferredTestQuery()`
`int` | `getPropertyCycle()`
`javax.naming.Reference` | `getReference()`
`boolean` | `isAutoCommitOnClose()`
`boolean` | `isBreakAfterAcquireFailure()`
`boolean` | `isForceIgnoreUnresolvedTransactions()`
`boolean` | `isJndiLookupCaching()`
`boolean` | `isTestConnectionOnCheckin()`
`boolean` | `isTestConnectionOnCheckout()`
`boolean` | `isUsesTraditionalReflectiveProxies()`
`void` | `setAcquireIncrement(int acquireIncrement)`
`void` | `setAcquireRetryAttempts(int ara)`
`void` | `setAcquireRetryDelay(int ard)`
`void` | `setAutoCommitOnClose(boolean autoCommitOnClose)`
`void` | `setAutomaticTestTable(java.lang.String att)`
`void` | `setBreakAfterAcquireFailure(boolean baaf)`
`void` | `setCheckoutTimeout(int ct)`
`void` | `setConnectionTesterClassName(java.lang.String connectionTesterClassName)`
`void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)`
`void` | `setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)`
`void` | `setIdentityToken(java.lang.String identityToken)`
`void` | `setIdleConnectionTestPeriod(int idleConnectionTestPeriod)`
`void` | `setInitialPoolSize(int initialPoolSize)`
`void` | `setJndiEnv(java.util.Hashtable jndiEnv)`
`void` | `setJndiLookupCaching(boolean caching)`
`void` | `setJndiName(java.lang.Object jndiName)`
`void` | `setLoginTimeout(int seconds)`
`void` | `setLogWriter(java.io.PrintWriter out)`
`void` | `setMaxIdleTime(int maxIdleTime)`
`void` | `setMaxPoolSize(int maxPoolSize)`
`void` | `setMaxStatements(int maxStatements)`
`void` | `setMaxStatementsPerConnection(int mspc)`
`void` | `setMinPoolSize(int minPoolSize)`
`void` | `setPreferredTestQuery(java.lang.String ptq)`
`void` | `setPropertyCycle(int propertyCycle)`
`void` | `setTestConnectionOnCheckin(boolean testConnectionOnCheckin)`
`void` | `setTestConnectionOnCheckout(boolean testConnectionOnCheckout)`
`void` | `setUsesTraditionalReflectiveProxies(boolean utrp)`
`java.lang.String` | `toString()`

Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable
`doResolve, readResolve, verifyResolve`

Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JndiRefConnectionPoolDataSource

    public JndiRefConnectionPoolDataSource()

### JndiRefConnectionPoolDataSource

    public JndiRefConnectionPoolDataSource(boolean autoregister)

Method Detail

### isJndiLookupCaching

    public boolean isJndiLookupCaching()

### setJndiLookupCaching

    public void setJndiLookupCaching(boolean caching)

### getJndiEnv

    public java.util.Hashtable getJndiEnv()

### setJndiEnv

    public void setJndiEnv(java.util.Hashtable jndiEnv)

### getJndiName

    public java.lang.Object getJndiName()

### setJndiName

    public void setJndiName(java.lang.Object jndiName)
                     throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### getAcquireIncrement

    public int getAcquireIncrement()

### setAcquireIncrement

    public void setAcquireIncrement(int acquireIncrement)

### getAcquireRetryAttempts

    public int getAcquireRetryAttempts()

### setAcquireRetryAttempts

    public void setAcquireRetryAttempts(int ara)

### getAcquireRetryDelay

    public int getAcquireRetryDelay()

### setAcquireRetryDelay

    public void setAcquireRetryDelay(int ard)

### isAutoCommitOnClose

    public boolean isAutoCommitOnClose()

### setAutoCommitOnClose

    public void setAutoCommitOnClose(boolean autoCommitOnClose)

### setAutomaticTestTable

    public void setAutomaticTestTable(java.lang.String att)

### getAutomaticTestTable

    public java.lang.String getAutomaticTestTable()

### setBreakAfterAcquireFailure

    public void setBreakAfterAcquireFailure(boolean baaf)

### isBreakAfterAcquireFailure

    public boolean isBreakAfterAcquireFailure()

### setCheckoutTimeout

    public void setCheckoutTimeout(int ct)

### getCheckoutTimeout

    public int getCheckoutTimeout()

### getConnectionTesterClassName

    public java.lang.String getConnectionTesterClassName()

### setConnectionTesterClassName

    public void setConnectionTesterClassName(java.lang.String connectionTesterClassName)
                                      throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### isForceIgnoreUnresolvedTransactions

    public boolean isForceIgnoreUnresolvedTransactions()

### setForceIgnoreUnresolvedTransactions

    public void setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)

### getIdentityToken

    public java.lang.String getIdentityToken()

  Specified by:
    `getIdentityToken` in interface `IdentityTokenized`

### setIdentityToken

    public void setIdentityToken(java.lang.String identityToken)

  Specified by:
    `setIdentityToken` in interface `IdentityTokenized`

### setIdleConnectionTestPeriod

    public void setIdleConnectionTestPeriod(int idleConnectionTestPeriod)

### getIdleConnectionTestPeriod

    public int getIdleConnectionTestPeriod()

### getInitialPoolSize

    public int getInitialPoolSize()

### setInitialPoolSize

    public void setInitialPoolSize(int initialPoolSize)

### getMaxIdleTime

    public int getMaxIdleTime()

### setMaxIdleTime

    public void setMaxIdleTime(int maxIdleTime)

### getMaxPoolSize

    public int getMaxPoolSize()

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)

### getMaxStatements

    public int getMaxStatements()

### setMaxStatements

    public void setMaxStatements(int maxStatements)

### getMaxStatementsPerConnection

    public int getMaxStatementsPerConnection()

### setMaxStatementsPerConnection

    public void setMaxStatementsPerConnection(int mspc)

### getMinPoolSize

    public int getMinPoolSize()

### setMinPoolSize

    public void setMinPoolSize(int minPoolSize)

### getPreferredTestQuery

    public java.lang.String getPreferredTestQuery()

### setPreferredTestQuery

    public void setPreferredTestQuery(java.lang.String ptq)

### getPropertyCycle

    public int getPropertyCycle()

### setPropertyCycle

    public void setPropertyCycle(int propertyCycle)

### isTestConnectionOnCheckin

    public boolean isTestConnectionOnCheckin()

### setTestConnectionOnCheckin

    public void setTestConnectionOnCheckin(boolean testConnectionOnCheckin)

### isTestConnectionOnCheckout

    public boolean isTestConnectionOnCheckout()

### setTestConnectionOnCheckout

    public void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)

### isUsesTraditionalReflectiveProxies

    public boolean isUsesTraditionalReflectiveProxies()

### setUsesTraditionalReflectiveProxies

    public void setUsesTraditionalReflectiveProxies(boolean utrp)

### getFactoryClassLocation

    public java.lang.String getFactoryClassLocation()

### setFactoryClassLocation

    public void setFactoryClassLocation(java.lang.String factoryClassLocation)

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Throws:
    `javax.naming.NamingException`

### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection()
                                                   throws java.sql.SQLException

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection(java.lang.String user,
                                                          java.lang.String password)
                                                   throws java.sql.SQLException

  Specified by:
    `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### getLogWriter

    public java.io.PrintWriter getLogWriter()
                                     throws java.sql.SQLException

  Specified by:
    `getLogWriter` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### setLogWriter

    public void setLogWriter(java.io.PrintWriter out)
                      throws java.sql.SQLException

  Specified by:
    `setLogWriter` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws java.sql.SQLException

  Specified by:
    `setLoginTimeout` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### getLoginTimeout

    public int getLoginTimeout()
                        throws java.sql.SQLException

  Specified by:
    `getLoginTimeout` in interface `javax.sql.ConnectionPoolDataSource`
  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD